﻿using System;
using System.Collections.Generic;
using Wisej.Web;

namespace CascadingCombobox
{
	public partial class Window1 : Form
	{
		public Window1()
		{
			InitializeComponent();
		}

        private void Window1_Load(object sender, EventArgs e)
        {
            comboBoxCountry.DataSource = DAL.GetCountries();
            comboBoxCountry.SelectedIndex = -1;
        }

        private void comboBoxCountry_SelectionChangeCommitted(object sender, EventArgs e)
        {
            if (!comboBoxCountry.SelectedIndex.Equals(-1))
            {
                List<State> listStates = DAL.GetStates((int)comboBoxCountry.SelectedValue);
                comboBoxState.DataSource = listStates;
                comboBoxState.SelectedIndex = -1;
            }
            else
            {
                comboBoxState.DataSource = null;
                comboBoxState.Items.Clear();

                comboBoxCity.DataSource = null;
                comboBoxCity.Items.Clear();
            }
        }

        private void comboBoxState_SelectionChangeCommitted(object sender, EventArgs e)
        {
            if (!comboBoxState.SelectedIndex.Equals(-1))
            {
                List<City> listCities = DAL.GetCities((int)comboBoxState.SelectedValue);
                comboBoxCity.DataSource = listCities;
                comboBoxCity.SelectedIndex = -1;
            }
            else
            {
                comboBoxCity.DataSource = null;
                comboBoxCity.Items.Clear();
            }
        }
        
    }
}
